###########################################################################
#
#   Copyright (c) 2000 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2000 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

__author__ = '$Author: morphex $'
__version__ = '$Revision: 1.1.1.1 $'


import util

class mail_wrapper:

    def __init__(self,server,port=None):

        self.server = server
        self.port = port
        

    def list_message_ids(self):
        """Returns a list of message ids, based on the
        header information of each message."""

        message_ids = []

        for message_id in self.list():

            message = self.head(message_id)

            for header in message.keys():

                if header == 'message-id':

                    message_ids.append(message[header])
                    break

            else:

                message_ids.append('') # ?FIX-ME?

        return message_ids
