###########################################################################
#
#   Copyright (c) 2001 Morten W. Petersen <morten@thingamy.net>
#	Copyright (c) 2001 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morphex $
# $Revision: 1.1 $

import imaplib, string

def get_messages(host, username, password):

	connection = imaplib.IMAP4(host)
	connection.login(username, password)

	items_ = connection.list()[-1]
	items = []

	#f = open('/tmp/mboxdump.txt', 'w')

	for item in items_:

		if item[-1] == '"':

			item = item[string.rfind(item, '"', 0, len(item) - 1)+1:-1]

		else:

			item = item[string.rfind(item, ' ', 0, len(item) - 1)+1:]

		connection.select(item)

		#f.write(str(con.search(None, '(TO @)')) + '\n')
		#f.write('Folder "%s" is a mailbox' % item + '\n')

	

