###########################################################################
#
#   Copyright (c) 2000 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2000 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

__author__ = '$Author: morphex $'
__version__ = '$Revision: 1.1.1.1 $'


class rfc822_message_base(message.message):


    def __init__(self,msg):
        """Base class for mail and news."""

        message.message.__init__(self,msg='')

        self.headers = {}
        self.newsgroups = []
        self.sender = ('','')
        self.to = []
        self.cc = []
        self.bcc = []
        self.body = ''


    def mail_recipients(self):

        return self.to + self.cc + self.bcc

    def recipients(self):

        return self.mail_recipients() + self.newsgroups


    def newsgroups(self):

        return self.newsgroups


