###########################################################################
#
#   Copyright (c) 2001 Morten W. Petersen <morten@thingamy.net>
#	Copyright (c) 2001 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morphex $

__doc__ = 'Value checker and processor'
__version__ = '$Revision 1.0 $'

import DateTime

help = "The specified time is invalid.  Please try again."

def compose(name, form_update):

	hour = form_update['%s_hour' % name]
	minute = form_update['%s_minute' % name]

	if hour > 23 or minute > 60:

		raise ValueError
	
	return (hour * 60 * 60) + (minute * 60)
