###########################################################################
#
#   Copyright (c) 2001 Morten W. Petersen <morten@esol.no>
#	Copyright (c) 2001 Thingamy Ltd.
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
#    MA 02111-1307 USA
#
#
###########################################################################

# $Author: morten $
# $Revision: 1.3 $

__doc__ = "Documentation string"
__version__ = "0.1.0"

import utils


class product_base_item:

	def get_preferences_url(self):
		"""Returns a preferences URL."""

		return self.relative_url() + '/base_edit'


	def get_product_base_instance(self):
		"""Returns self."""

		return self


	def get_version(self):
		"""Returns the product version."""

		try:

			file = open('%s/Products/%s/version.txt' %
				(SOFTWARE_HOME, self.product_name))

			return file.read()

		except IOError:

			return 'Failed reading version.txt, no version available'


