from DocumentTemplate.DT_Util import *
from DocumentTemplate.DT_String import String

class SpellcheckTag:
    """Create button to launch spellchecker"""

    name='spellchecker'

    def __init__(self, args):
	
	args = parse_params(args, href=None, form=None, input=None)

	has_key=args.has_key
	
	if not has_key('href'):
	    args['href'] = 'spell'
	if not has_key('form'): 
	    args['form'] = 'form' 
	if not has_key('input'):
	    args['input'] = 'text'
	
	self.args = args

    def render(self,md):
	formname = self.args['form']
	inputname = self.args['input']
	url = self.args['href']
	output = """
		    <SCRIPT language="Javascript">
		    <!--
		    function spellcheck""" + formname + inputname + """() {  
			newWin=window.open("","window2","resizable,scrollbars=yes,width=250,height=400");
			newWin.document.writeln("<html><head><title></title></head><body><form name=\\"spellform\\" ACTION=\\\""""+url+"""\\"><textarea name=\\"text\\">"+document."""+formname+"""."""+inputname+""".value +  "</textarea><input type=\\"hidden\\" name=\\"form_name\\" value=\\\""""+formname+"""\\"><input type=\\"hidden\\" name=\\"text_field_name\\" value=\\\""""+inputname+"""\\"><input type=\\"hidden\\" name=\\"action\\" value=\\"Ignore\\"></form></body></html>");
			newWin.document.spellform.submit();
		    }
		    -->
		    </SCRIPT>
		     <INPUT TYPE="button" VALUE="Spell Checker" onClick="spellcheck"""+ formname + inputname +  """()">"""
	return output
	
    __call__ = render

String.commands['spellchecker'] = SpellcheckTag

